Loading...
Searching...
No Matches
ASSA::Bfunc< Arg1, Arg2, Result > Struct Template Reference

Bfunc is used by PriorityQueue_impl. More...

`#include <PriorityQueue_Impl.h>`

## Public Types

typedef Arg1 | first_argument_type
typedef Arg2 | second_argument_type
typedef Result | result_type

## Detailed Description

template<class Arg1, class Arg2, class Result>
struct ASSA::Bfunc< Arg1, Arg2, Result >

Bfunc is used by PriorityQueue_impl.

Definition at line 30 of file PriorityQueue_Impl.h.

## Member Typedef Documentation

## first_argument_type

template<class Arg1 , class Arg2 , class Result >

typedef Arg1 ASSA::Bfunc< Arg1, Arg2, Result >::first_argument_type

Definition at line 31 of file PriorityQueue_Impl.h.

## result_type

template<class Arg1 , class Arg2 , class Result >

typedef Result ASSA::Bfunc< Arg1, Arg2, Result >::result_type

Definition at line 33 of file PriorityQueue_Impl.h.

## second_argument_type

template<class Arg1 , class Arg2 , class Result >

typedef Arg2 ASSA::Bfunc< Arg1, Arg2, Result >::second_argument_type

Definition at line 32 of file PriorityQueue_Impl.h.

The documentation for this struct was generated from the following file:

- PriorityQueue_Impl.h